/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "FtpCommand.h"
#include "CppUtil.h"

//_________________________________________
const FtpCommand::NameMap& FtpCommand::_names()
{
    static const NameMap names = Base::makeT<NameMap>(
    {
        { FtpCommand::Type::None, QObject::tr( "none" )},
        { FtpCommand::Type::ConnectToHost, QObject::tr( "connect to host" )},
        { FtpCommand::Type::Login, QObject::tr( "login" )},
        { FtpCommand::Type::Close, QObject::tr( "close connection" )},
        { FtpCommand::Type::ShowDirectory, QObject::tr( "list remote files" )},
        { FtpCommand::Type::ChangeDirectory, QObject::tr( "change directory" )},
        { FtpCommand::Type::CreateDirectory, QObject::tr( "create directory" )},
        { FtpCommand::Type::Copy, QObject::tr( "copy selected files" )},
        { FtpCommand::Type::Remove, QObject::tr( "remove files" )},
        { FtpCommand::Type::Rename, QObject::tr( "rename file" )},
    });

    return names;
}

//___________________________________________________________________
int& FtpCommand::_counter()
{
    static int counter( 0 );
    return counter;
}

//_______________________________________
FtpCommand::FtpCommand( FtpCommand::Type type, FileInfo::List&& arguments ):
    Counter( "FtpCommand" ),
    id_( _counter()++ ),
    ftpId_( 0 ),
    type_( type ),
    arguments_( std::move(arguments) )
{}
